ICU 78.3 78.3

Data Structures | Namespaces
messageformat2.h File Reference

C++ API: Formats messages using the draft MessageFormat 2.0. More...

`#include "unicode/utypes.h"`
`#include "unicode/messageformat2_arguments.h"`
`#include "unicode/messageformat2_data_model.h"`
`#include "unicode/messageformat2_function_registry.h"`
`#include "unicode/normalizer2.h"`
`#include "unicode/unistr.h"`

Go to the source code of this file.

## Data Structures
class | icu::message2::MessageFormatter
class | icu::message2::MessageFormatter::Builder
| The mutable Builder class allows each part of the MessageFormatter to be initialized separately; calling its `build()` method yields an immutable MessageFormatter. More...

## Namespaces
| icu
| File coll.h.

## Detailed Description

C++ API: Formats messages using the draft MessageFormat 2.0.

Definition in file messageformat2.h.